<?php

/**
 *
 * Name:     mkimage.php
 * Date:     Sept 5, 2008
 * Purpose:  display a string as an image
 * Input from URL:
 *         - text = text to display in the image
 *         - bgcolor = background color in HEX (optional)
 *         - textcolor = text color in HEX (optional)
 *         - font = font filename (optional)
 *         - fontsize = font size in pixels (optional)
 *         - fontangle = font angle in degrees (optional)
 *
 * Examples:<br>
 * <img src="/str2img.php?string=someone@domain.com"> ( encryption disabled )
 * <img src="/str2img.php?string=59zm2KXF4cntm9zi0g"> ( encryption enabled )
 *
 * @author Monte Ohrt <monte at ohrt dot com>
 * @version  1.0
 */

require(dirname(__FILE__).DIRECTORY_SEPARATOR.'libs'.DIRECTORY_SEPARATOR.'str2img.lib.php');

// set text to render
$text = !empty($_GET['text']) ? $_GET['text'] : 'no input'; 

$str2img = new str2img();

if(!empty($_GET['bgcolor']))
  $str2img->bgcolor = $_GET['bgcolor'];
if(!empty($_GET['textcolor']))
  $str2img->textcolor = $_GET['textcolor'];
if(!empty($_GET['font']))
  $str2img->font = $_GET['font'];
if(!empty($_GET['fontsize']))
  $str2img->fontsize = $_GET['fontsize'];
if(!empty($_GET['fontangle']))
  $str2img->fontangle = $_GET['fontangle'];
  
$str2img->render($text);

 
?>
